package com.example.wholeestate.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.example.wholeestate.model.Comment;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * <p>
 * 评论表 Mapper 接口
 * </p>
 *
 * @author weiximei
 * @since 2019-03-20
 */
public interface CommentMapper extends BaseMapper<Comment> {
    /**
     * 根据 类型 查询 评论列表
     * @param page
     * @param comment_type
     * @return
     */
    IPage<Map<String, Object>> selectCommentListByType(Page page, @Param("comment_type") String comment_type);

    /**
     * 根据 评论id查询 评论信息
     * @param commentId
     * @return
     */
    Map<String, Object> selectCommentInfoId(@Param("commentId") String commentId);
}
