package com.example.wholeestate.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 项目动态表
 * </p>
 *
 * @author jobob
 * @since 2019-03-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("ta_building_dynamic")
public class BuildingDynamic implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 动态ID
     */
    private String dynamicId;

    /**
     * 楼盘ID
     */
    private String buildingId;

    /**
     * 首页图片URL
     */
    private String imgUrl;

    /**
     * 标题
     */
    private String title;

    /**
     * 发布时间
     */
    private LocalDateTime publishDate;

    /**
     * 描述
     */
    @TableField("DESC")
    private String desc;

    /**
     * url
     */
    private String url;

    /**
     * 0正常，-1删除
     */
    private Integer status;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 楼盘
     */
    @TableField(exist = false)
    private Building building;

}
